WKS4SpreadsheetInternal::Spreadsheet Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
WKS4SpreadsheetInternal::Spreadsheet Class Reference

the spreadsheet of a WPS4Spreadsheet More...

## Public Member Functions
| Spreadsheet ()
| a constructor More...
Cell * | getLastCell ()
| returns the last cell More...
void | setColumnWidth (int col, int w=-1)
| set the columns size More...
void | setRowHeight (int row, int h=-1)
| set the rows size More...
bool | empty () const
| returns true if the spreedsheet is empty More...
Vec2i | getRightBottomPosition () const
| returns the last Right Bottom cell position More...

## Static Public Member Functions
static std::vector< float > | convertInPoint (std::vector< int > const &list, float defSize)
| convert the m_widthCols, m_heightRows in a vector of of point size More...

## Public Attributes
int | m_numCols
| the number of columns More...
int | m_numRows
| the number of rows More...
std::vector< int > | m_widthCols
| the column size in TWIP (?) More...
std::vector< int > | m_heightRows
| the row size in TWIP (?) More...
std::vector< Cell > | m_cellsList
| the list of not empty cells More...
std::vector< int > | m_rowPageBreaksList
| the list of row page break More...

## Detailed Description

the spreadsheet of a WPS4Spreadsheet

## Constructor & Destructor Documentation

WKS4SpreadsheetInternal::Spreadsheet::Spreadsheet | ( |  | ) |
| inline

a constructor

## Member Function Documentation

static std::vector<float> WKS4SpreadsheetInternal::Spreadsheet::convertInPoint | ( | std::vector< int > const & | list,
|  | float | defSize
| ) |  |
| inlinestatic

convert the m_widthCols, m_heightRows in a vector of of point size

Referenced by WKS4Spreadsheet::sendSpreadsheet().

bool WKS4SpreadsheetInternal::Spreadsheet::empty | ( |  | ) | const
| inline

returns true if the spreedsheet is empty

Cell* WKS4SpreadsheetInternal::Spreadsheet::getLastCell | ( |  | ) |
| inline

returns the last cell

Vec2i WKS4SpreadsheetInternal::Spreadsheet::getRightBottomPosition | ( |  | ) | const
| inline

returns the last Right Bottom cell position

void WKS4SpreadsheetInternal::Spreadsheet::setColumnWidth | ( | int | col,
|  | int | w = `-1`
| ) |  |
| inline

set the columns size

void WKS4SpreadsheetInternal::Spreadsheet::setRowHeight | ( | int | row,
|  | int | h = `-1`
| ) |  |
| inline

set the rows size

## Member Data Documentation

std::vector<Cell> WKS4SpreadsheetInternal::Spreadsheet::m_cellsList

the list of not empty cells

Referenced by empty(), getLastCell(), and WKS4Spreadsheet::sendSpreadsheet().

std::vector<int> WKS4SpreadsheetInternal::Spreadsheet::m_heightRows

the row size in TWIP (?)

Referenced by WKS4Spreadsheet::sendSpreadsheet(), and setRowHeight().

int WKS4SpreadsheetInternal::Spreadsheet::m_numCols

the number of columns

Referenced by setColumnWidth().

int WKS4SpreadsheetInternal::Spreadsheet::m_numRows

the number of rows

Referenced by setRowHeight().

std::vector<int> WKS4SpreadsheetInternal::Spreadsheet::m_rowPageBreaksList

the list of row page break

std::vector<int> WKS4SpreadsheetInternal::Spreadsheet::m_widthCols

the column size in TWIP (?)

Referenced by WKS4Spreadsheet::sendSpreadsheet(), and setColumnWidth().

The documentation for this class was generated from the following file:

- WKS4Spreadsheet.cpp